﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_appealrecord_b")]
    public partial class fdc_pm_appealrecord_b
    {
           public fdc_pm_appealrecord_b(){


           }
           /// <summary>
           /// Desc:投诉登记单子表-主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:投诉单号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_appealrecid {get;set;}

           /// <summary>
           /// Desc:投诉分类
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vtypeid {get;set;}

           /// <summary>
           /// Desc:受理人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string employeeid {get;set;}

           /// <summary>
           /// Desc:投诉要求
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vappealrequire {get;set;}

           /// <summary>
           /// Desc:投诉要求
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vappealcontent {get;set;}

           /// <summary>
           /// Desc:登记备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vappealcmemo {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? ts {get;set;}

           /// <summary>
           /// Desc:投诉日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dappealdate {get;set;}

           /// <summary>
           /// Desc:投诉时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dappealtime {get;set;}

           /// <summary>
           /// Desc:解决时限
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dsolvelimit {get;set;}

           /// <summary>
           /// Desc:最晚处理日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dsolvelastdate {get;set;}

           /// <summary>
           /// Desc:最晚处理时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dsolvelasttime {get;set;}

           /// <summary>
           /// Desc:处理备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vsolvecmemo {get;set;}

           /// <summary>
           /// Desc:责任部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string deptcode {get;set;}

           /// <summary>
           /// Desc:状态:1 投诉 2处理 3回访结束
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string status {get;set;}

           /// <summary>
           /// Desc:处理时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dsolvedate {get;set;}

           /// <summary>
           /// Desc:现场情况
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vsolvedes {get;set;}

           /// <summary>
           /// Desc:处理人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string solveemployeeid {get;set;}

           /// <summary>
           /// Desc:回访解决时限
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string visittime {get;set;}

           /// <summary>
           /// Desc:最晚回访时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dvisitlimit {get;set;}

           /// <summary>
           /// Desc:回访时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dvisitdate {get;set;}

           /// <summary>
           /// Desc:回访情况
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vvisitdes {get;set;}

           /// <summary>
           /// Desc:回访备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vvisitcmemo {get;set;}

           /// <summary>
           /// Desc:是否解决
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bsolved {get;set;}

           /// <summary>
           /// Desc:是否满意:1 满意2 不满意0 需重新处理
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string fsatisfied {get;set;}

    }
}
