﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_managementsec")]
    public partial class fdc_pm_managementsec
    {
           public fdc_pm_managementsec(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string pk_managementsecid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string managementsecname {get;set;}

           /// <summary>
           /// Desc:地址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vaddress {get;set;}

           /// <summary>
           /// Desc:楼栋数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ibuildcount {get;set;}

           /// <summary>
           /// Desc:公司
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_corp {get;set;}

           /// <summary>
           /// Desc:合同面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nmanagementarea {get;set;}

           /// <summary>
           /// Desc:管理人员数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? imanagecount {get;set;}

           /// <summary>
           /// Desc:技术人员数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? itechcount {get;set;}

           /// <summary>
           /// Desc:安全人员数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? isecuritycount {get;set;}

           /// <summary>
           /// Desc:保洁人员数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? idustcount {get;set;}

           /// <summary>
           /// Desc:合同面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ncontractarea {get;set;}

           /// <summary>
           /// Desc:合同时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dcontractdate {get;set;}

           /// <summary>
           /// Desc:房间数目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? iroomcount {get;set;}

           /// <summary>
           /// Desc:停车场数目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? iparkspacecount {get;set;}

           /// <summary>
           /// Desc:绿化面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ngreenarea {get;set;}

           /// <summary>
           /// Desc:员工数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? iemployercount {get;set;}

           /// <summary>
           /// Desc:业委会联系方式
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vywhtel {get;set;}

           /// <summary>
           /// Desc:业委会成立时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dywhsetupdate {get;set;}

           /// <summary>
           /// Desc:负责人联系电话
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vmanagetel {get;set;}

           /// <summary>
           /// Desc:业委会负责人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vmanager {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? ts {get;set;}

    }
}
