﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_occupationbill")]
    public partial class fdc_pm_occupationbill
    {
           public fdc_pm_occupationbill(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:入伙单号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_occupationbillid {get;set;}

           /// <summary>
           /// Desc:业主编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:房产编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:购房日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? buydate {get;set;}

           /// <summary>
           /// Desc:合同交房时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? contractreceivedate {get;set;}

           /// <summary>
           /// Desc:收房日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? receivedate {get;set;}

           /// <summary>
           /// Desc:物业合同起始日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pmbdate {get;set;}

           /// <summary>
           /// Desc:物业合同截止日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pmedate {get;set;}

           /// <summary>
           /// Desc:钥匙数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string keyqty {get;set;}

           /// <summary>
           /// Desc:制单人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string creater {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

           /// <summary>
           /// Desc:制单日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? creatdate {get;set;}

    }
}
