﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_ownerhouse")]
    public partial class fdc_pm_ownerhouse
    {
           public fdc_pm_ownerhouse(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:合同编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string contractid {get;set;}

           /// <summary>
           /// Desc:合同名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string contractname {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string contracttype {get;set;}

           /// <summary>
           /// Desc:业主编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:房产序号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hname {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hbarea {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hnamecard {get;set;}

           /// <summary>
           /// Desc:合同起始日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? bdate {get;set;}

           /// <summary>
           /// Desc:合同截止日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? edate {get;set;}

           /// <summary>
           /// Desc:合同签订日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? signdate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

           /// <summary>
           /// Desc:状态：1 有效 2 作废
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string flag {get;set;}

    }
}
