﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_voucher_b")]
    public partial class fdc_pm_voucher_b
    {
           public fdc_pm_voucher_b(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:U8凭证号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ino_id {get;set;}

           /// <summary>
           /// Desc:凭证号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string voucherid {get;set;}

           /// <summary>
           /// Desc:附单据数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string idoc {get;set;}

           /// <summary>
           /// Desc:凭证类别
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string csign {get;set;}

           /// <summary>
           /// Desc:凭证类别字段
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isignseq {get;set;}

           /// <summary>
           /// Desc:摘要
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cdigest {get;set;}

           /// <summary>
           /// Desc:科目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ccode {get;set;}

           /// <summary>
           /// Desc:对方科目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ccode_equal {get;set;}

           /// <summary>
           /// Desc:科目名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cname {get;set;}

           /// <summary>
           /// Desc:币种
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cexch_name {get;set;}

           /// <summary>
           /// Desc:汇率
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nfrat {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string iperiod {get;set;}

           /// <summary>
           /// Desc:借方金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? md {get;set;}

           /// <summary>
           /// Desc:贷方金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? mc {get;set;}

           /// <summary>
           /// Desc:票据号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cn_id {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cdept_id {get;set;}

           /// <summary>
           /// Desc:客户编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ccus_id {get;set;}

           /// <summary>
           /// Desc:供应商编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string csup_id {get;set;}

           /// <summary>
           /// Desc:项目编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string citem_id {get;set;}

           /// <summary>
           /// Desc:项目分类
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string citem_class {get;set;}

           /// <summary>
           /// Desc:制单人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cbill {get;set;}

           /// <summary>
           /// Desc:来源单据
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string sourceid {get;set;}

           /// <summary>
           /// Desc:贷方部门核算
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cdept_id1 {get;set;}

           /// <summary>
           /// Desc:贷方客户往来
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ccus_id1 {get;set;}

           /// <summary>
           /// Desc:贷方供应商往来
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string csup_id1 {get;set;}

           /// <summary>
           /// Desc:贷方项目核算
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string citem_id1 {get;set;}

           /// <summary>
           /// Desc:贷方项目分类
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string citem_class1 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbill_date {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cdigest1 {get;set;}

    }
}
