﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("corps")]
    public partial class corps
    {
           public corps(){


           }
           /// <summary>
           /// Desc:公司主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string pk_corp {get;set;}

           /// <summary>
           /// Desc:公司编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string corpname {get;set;}

           /// <summary>
           /// Desc:上级公司
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string fathercode {get;set;}

           /// <summary>
           /// Desc:公司简称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string unitshortname {get;set;}

           /// <summary>
           /// Desc:所有权份额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownersharerate {get;set;}

           /// <summary>
           /// Desc:是否控股
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string holdflag {get;set;}

           /// <summary>
           /// Desc:所属行业
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string industry {get;set;}

           /// <summary>
           /// Desc:经济类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ecotype {get;set;}

           /// <summary>
           /// Desc:法人代表
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string legalbodycode {get;set;}

           /// <summary>
           /// Desc:纳税人登记号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string taxcode {get;set;}

           /// <summary>
           /// Desc:营业地址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string saleaddr {get;set;}

           /// <summary>
           /// Desc:通讯地址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string postaddr {get;set;}

           /// <summary>
           /// Desc:邮政编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string zipcode {get;set;}

           /// <summary>
           /// Desc:联系电话1
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string phone1 {get;set;}

           /// <summary>
           /// Desc:联系电话2
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string phone2 {get;set;}

           /// <summary>
           /// Desc:传真
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string fax1 {get;set;}

           /// <summary>
           /// Desc:联系人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string linkman1 {get;set;}

           /// <summary>
           /// Desc:公司成立日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? createdate {get;set;}

           /// <summary>
           /// Desc:注册资本
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? regcapital {get;set;}

           /// <summary>
           /// Desc:法人身份证号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string idnumber {get;set;}

           /// <summary>
           /// Desc:电子邮件
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string email1 {get;set;}

           /// <summary>
           /// Desc:公司网址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string url {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? ts {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string sgn {get;set;}

    }
}
