﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///楼栋
    ///</summary>
    [SugarTable("fdc_pm_build")]
    public partial class fdc_pm_build
    {
           public fdc_pm_build(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string bcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bno {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bname {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string btype {get;set;}

           /// <summary>
           /// Desc:楼高
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bheight {get;set;}

           /// <summary>
           /// Desc:层高
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string fheight {get;set;}

           /// <summary>
           /// Desc:建筑面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string barea {get;set;}

           /// <summary>
           /// Desc:套内面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string binarea {get;set;}

           /// <summary>
           /// Desc:竣工时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbuilddate {get;set;}

           /// <summary>
           /// Desc:入住时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dindate {get;set;}

           /// <summary>
           /// Desc:建筑单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bbuildcom {get;set;}

           /// <summary>
           /// Desc:
           /// Default:N'build'
           /// Nullable:False
           /// </summary>           
           public string type {get;set;}

           /// <summary>
           /// Desc:楼层数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string floor {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_managementsecid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_corp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? bprice {get;set;}

    }
}
