﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_ownerinthouse")]
    public partial class fdc_pm_ownerinthouse
    {
           public fdc_pm_ownerinthouse(){


           }
           /// <summary>
           /// Desc:客户意向房产
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:客户
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:优先级
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string prilevel {get;set;}

           /// <summary>
           /// Desc:房产编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:意向户型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string modelname {get;set;}

           /// <summary>
           /// Desc:意向朝向
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string direction {get;set;}

           /// <summary>
           /// Desc:意向楼层
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string floor {get;set;}

           /// <summary>
           /// Desc:意向楼栋
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string build {get;set;}

           /// <summary>
           /// Desc:意向业态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string operstate {get;set;}

           /// <summary>
           /// Desc:意向单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string price {get;set;}

           /// <summary>
           /// Desc:意向总价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string sum {get;set;}

           /// <summary>
           /// Desc:意向面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string area {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

    }
}
