﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///项目
    ///</summary>
    [SugarTable("fdc_pm_project")]
    public partial class fdc_pm_project
    {
           public fdc_pm_project(){


           }
           /// <summary>
           /// Desc:自增编码
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:项目编码
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(IsPrimaryKey=true)]
           public string pcode {get;set;}

           /// <summary>
           /// Desc:项目名称
           /// Default:
           /// Nullable:True
           /// </summary>
           public string pname {get;set;}

           /// <summary>
           /// Desc:父级编码
           /// Default:
           /// Nullable:True
           /// </summary>
           public string fathercode {get;set;}

           /// <summary>
           /// Desc:项目性质
           /// Default:
           /// Nullable:True
           /// </summary>
           public string ptype {get;set;}

           /// <summary>
           /// Desc:帐套号
           /// Default:
           /// Nullable:True
           /// </summary>
           public string pclass {get;set;}

        /// <summary>
        /// Desc:标头(收据)
        /// Default:
        /// Nullable:True
        /// </summary>
        public string pdevcom {get;set;}

        /// <summary>
        /// Desc:电话(收据)
        /// Default:
        /// Nullable:True
        /// </summary>
        public string paddress {get;set;}

           /// <summary>
           /// Desc:立项日期
           /// Default:
           /// Nullable:True
           /// </summary>
           public DateTime? pdate {get;set;}

        /// <summary>
        /// Desc:备注(收据)
        /// Default:
        /// Nullable:True
        /// </summary>
        public string memo {get;set;}

        /// <summary>
        /// Desc:项目核算
        /// Default:
        /// Nullable:True
        /// </summary>
        public string flag {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:
           /// Nullable:True
           /// </summary>
           public string state {get;set;}

           /// <summary>
           /// Desc:项目类型
           /// Default:N'project'
           /// Nullable:False
           /// </summary>
           public string type {get;set;}

        /// <summary>
        /// Desc:组织编码
        /// Default:
        /// Nullable:True
        /// </summary>
        public string pk_corp {get;set;}

        /// <summary>
        /// Desc:收据标示
        /// Default:
        /// Nullable:True
        /// </summary>
        public string psgn {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           public string url {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           public string cltemccode {get;set;}

    }
}
