﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_renovaterecord_b")]
    public partial class fdc_pm_renovaterecord_b
    {
           public fdc_pm_renovaterecord_b(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_renovaterecid {get;set;}

           /// <summary>
           /// Desc:装修项目编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string renovateitemcode {get;set;}

           /// <summary>
           /// Desc:装修项目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string renovateitemname {get;set;}

           /// <summary>
           /// Desc:装修内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string renovatecontent {get;set;}

           /// <summary>
           /// Desc:装修公司
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string renovatecom {get;set;}

           /// <summary>
           /// Desc:施工联系人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string renovateman {get;set;}

           /// <summary>
           /// Desc:联系人电话
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string renovatetel {get;set;}

           /// <summary>
           /// Desc:装修申请日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? renovateapplydate {get;set;}

           /// <summary>
           /// Desc:是否合格
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string visok {get;set;}

           /// <summary>
           /// Desc:不合格原因
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vinvalidreason {get;set;}

           /// <summary>
           /// Desc:装修验收日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? renovatecheckdate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vmemo {get;set;}

           /// <summary>
           /// Desc:收费项目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billitemcode {get;set;}

           /// <summary>
           /// Desc:应缴金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nneedpaymny {get;set;}

           /// <summary>
           /// Desc:抵扣金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ndkmny {get;set;}

           /// <summary>
           /// Desc:退款金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nbackmny {get;set;}

    }
}
